<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.ansys.com/ekm/report"
	xmlns:ekmReport="http://www.ansys.com/ekm/report">

	<xsd:complexType name="Image">
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="src" type="xsd:string" use="required" />
		<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Image3D">
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="src" type="xsd:string" use="required" />
		<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Video">
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="src" type="xsd:string" use="required" />
		<xsd:attribute name="width" type="xsd:string" use="optional" />
		<xsd:attribute name="height" type="xsd:string" use="optional" />
		<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Link">
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="src" type="xsd:string" use="required" />
		<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Text">
		<xsd:simpleContent>
			<xsd:extension base="xsd:string">
		        <xsd:attribute name="id" type="xsd:string" use="optional" />
				<xsd:attribute name="name" type="xsd:string" use="required" />
				<xsd:attribute name="showFormattedContent" type="xsd:string" use="optional" />
				<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>

	<xsd:complexType name="Column">
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="id" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Value">
		<xsd:simpleContent>
			<xsd:extension base="xsd:string">
				<xsd:attribute name="iconSrc" type="xsd:string" use="optional" />
				<xsd:attribute name="iconAlt" type="xsd:string" use="optional" />
		        <xsd:attribute name="backgroundColor" type="xsd:string" use="optional" />
		        <xsd:attribute name="foregroundColor" type="xsd:string" use="optional" />
		        <xsd:attribute name="colSpan" type="xsd:string" use="optional" />
		        <xsd:attribute name="rowSpan" type="xsd:string" use="optional" />
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>

	<xsd:complexType name="Row">
		<xsd:sequence>
			<xsd:element name="value" type="ekmReport:Value" minOccurs="0" maxOccurs="unbounded" />
		</xsd:sequence>
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="parentRowId" type="xsd:string" use="optional" />
		<xsd:attribute name="backgroundColor" type="xsd:string" use="optional" />
		<xsd:attribute name="foregroundColor" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:complexType name="Table">
		<xsd:sequence>
			<xsd:element name="column" type="ekmReport:Column" minOccurs="0" maxOccurs="unbounded" />
			<xsd:element name="row" type="ekmReport:Row" minOccurs="0" maxOccurs="unbounded" />
		</xsd:sequence>
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
		<xsd:attribute name="caption" type="xsd:string" use="optional" />
		<xsd:attribute name="showHeaders" type="xsd:boolean" use="optional" />
		<xsd:attribute name="showBorder" type="xsd:boolean" use="optional" />
		<xsd:attribute name="collapsible" type="xsd:boolean" use="optional" />
	</xsd:complexType>
	
	<xsd:complexType name="Section">
		<xsd:choice minOccurs="0" maxOccurs="unbounded">
			<xsd:element name="section" type="ekmReport:Section"/>
			<xsd:element name="image" type="ekmReport:Image"/>
			<xsd:element name="image3d" type="ekmReport:Image3D"/>
			<xsd:element name="video" type="ekmReport:Video"/>
			<xsd:element name="link" type="ekmReport:Link"/>
			<xsd:element name="text" type="ekmReport:Text"/>
			<xsd:element name="table" type="ekmReport:Table"/>
		</xsd:choice>
		<xsd:attribute name="id" type="xsd:string" use="optional" />
		<xsd:attribute name="name" type="xsd:string" use="required" />
		<xsd:attribute name="anchorId" type="xsd:string" use="optional" />
	</xsd:complexType>

	<xsd:element name="section" type="ekmReport:Section" />

</xsd:schema>